Subject: Re: [PATCH] Added --export option to git-send-email.

From: Eduard - Gabriel Munteanu <[email-masked]>
Date: Mon, 14 Jul 2008 03:05:34 +0300

On Sun, 13 Jul 2008 15:44:29 -0700
Junio C Hamano <[email-masked]> wrote:

> However, strictly speaking,(2) may break the standard workflow of
> generating patches with format-patch and feeding the result to
> send-email, as format-patch does not do /^From / munging (and it
> shouldn't).  The issue is mostly theoretical --- it only matters if
> your commit log has a line that begins with ">From ", and people who
> have worked with e-mail for any nontrivial period have already
> learned to reword their sentences to avoid lines that begin with
> "From " (or ">From ", for that matter) anyway.

Munging happens only when doing --export. If you don't supply that
option, it won't affect anything, so there is no breakage.

BTW, git-format-patch already produces output somewhat compatible with
mbox, as it adds a From_ line.

	Eduard